Bug 119146 - Fly in Words with non-animated background show entire paragraph in addition
Summary: Fly in Words with non-animated background show entire paragraph in addition
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.1.0.2 rc
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.2.0 target:6.1.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Custom-Animations
  Show dependency treegraph
 
Reported: 2018-08-07 17:19 UTC by Regina Henschel
Modified: 2018-09-04 18:08 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Test FlyIn animation with Word-by-Word (14.53 KB, application/vnd.oasis.opendocument.presentation)
2018-08-07 17:19 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2018-08-07 17:19:51 UTC
Created attachment 144016 [details]
Test FlyIn animation with Word-by-Word

Open attached document and play it. You should see an orange rectangle. On click words should fly in from top to this rectangle.

In version 6.1 not only the words fly in but the entire paragraph flies in in addition. Use the document in LO6.0 to see how it should work.

Bug in Version: 6.1.0.2 (x64)
Build ID: b3972dcf1284967612d5ee04fea9d15bcf0cc106
CPU threads: 8; OS: Windows 10.0; UI render: default; 
Locale: de-DE (en_US); Calc: CL

OK in Version: 6.0.4.2 (x64)
Build-ID: 9b0d9b32d5dcda91d2f1a96dc04c645c450872bf
CPU-Threads: 8; BS: Windows 10.0; UI-Render: Standard; 
Gebietsschema: de-DE (en_US); Calc: CL
Comment 1 Buovjaga 2018-09-02 18:00:53 UTC
Bibisected with win32-6.2 to https://cgit.freedesktop.org/libreoffice/core/commit/?id=4600b07c1d787f959618d9ecf54161e4ea4ffa61

tdf#102195: don't exclude everything between first and last subset
When subsets are non-contiguous, we need to include the parts between
subsets.

Adding Cc: to Mike Kaganski

Also repro on Linux.
Comment 2 Mike Kaganski 2018-09-03 16:45:47 UTC
https://gerrit.libreoffice.org/59948
Comment 3 Mike Kaganski 2018-09-03 16:54:24 UTC
(In reply to Buovjaga from bug 102195 comment 1)
> We need 2 confs per year to discover all these sneaky ones..

Your say The Truth :-)
Comment 4 Commit Notification 2018-09-03 20:26:31 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a8aaffa6ea0f0fd8cf1d22883173df64a93e3322

tdf#119146: fix populating maCurrentSubsets

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Mike Kaganski 2018-09-04 04:10:18 UTC
https://gerrit.libreoffice.org/59952 is a backport to 6-1.
Comment 6 Commit Notification 2018-09-04 07:59:57 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=328646778fcf7242863f0fe20f33bd99d3386c63&h=libreoffice-6-1

tdf#119146: fix populating maCurrentSubsets

It will be available in 6.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Buovjaga 2018-09-04 18:08:39 UTC
*Snif* - it's such a beautiful fly in again. Thanks!

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: bf8fbbaa683ef7eef5f9587b60486f622b50cb80
CPU threads: 8; OS: Linux 4.18; UI render: default; VCL: gtk3_kde5; 
Locale: fi-FI (fi_FI.UTF-8); Calc: threaded
Built on September 4th 2018